@import "../../../global.scss";

.graphContainer {
  display: flex;
  flex-direction: column;
  margin-left: auto;
  margin-right: auto;
  border: 3px solid #eee;
  margin-bottom: 1rem !important;
  margin-top: -1rem !important;
  max-width: 93%;
}
.graphDiv {
  display: flex;
  padding: 30px;
  overflow-x: auto;
  align-items: center;
  @include mindesktop() {
    justify-content: space-around;
  }
}

.graphFooterContent {
  position: relative;
  // left: -49px;
  font-size: 13px;
  font-weight: 600;
  margin-top: 4em;
  margin-left: 2em;
}

.graphDetailsContainer {
  display: flex;
  flex-direction: column;
  background-color: $SkyLight;
  overflow-x: auto;
}

.dateHeader {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: max-content;
  // padding: 10px 20px;
  // margin-right: 10px;
  // @include maxScreen() {
  //   width: 100vw;
  // }
}

.contentWidth {
  width: 1%;
}

.biginnerHeader {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: $Teal !important;
  width: fit-content;
  // padding: 5px;
  color: $White;
  // @include maxScreen() {
  //   width: 100vw;
  // }
  // padding: 3px 35px;
}

.dateHeading {
  width: 16em;
  display: flex;
  justify-content: flex-start;
  flex-direction: row;
  margin: auto;
  padding-left: 20px;
}

.dateContent {
  width: fit-content;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  padding-right: 20px;
}

.horizontalLine {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid $White;
  margin: 1em 0;
  padding: 0;
  width: 94px;
}

.spaceLine {
  display: $DarkBlue;
  height: 1px;
  border: 0;
  border-top: 0px solid $White;
  margin: 1em 0;
  padding: 0;
  width: 94px;
}
.w_90 {
  width: 94px;
}

.plusSign {
  position: relative;
  border-radius: 14px;
  background-color: $DarkBlue;
  color: $White;
  width: 17px;
  height: 17px;
  text-align: center;
  margin-right: 10px;
  cursor: pointer;
  z-index: 2;
  .signs {
    position: absolute;
    top: -4px;
    left: 5px;
  }
}
.keyContainer {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  width: 50%;
}

.rod {
  height: 32px;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  background-color: $Red !important;
  border-radius: 29px;
  color: $White;
  padding: 3px 25px;
}

.circle {
  width: 40px;
  height: 40px;
  background-color: $Red !important;
  text-align: center;
  border-radius: 20px;
  color: $White;
  /* position: absolute; */
  position: relative;
  left: -23px;
  /* display: flex; */
  top: -5px;
  font-size: 21.9px;
}

.resultContainer {
  display: flex;
  flex-direction: column;
  background-color: $SkyLight;
  // width: fit-content;
}

.incomingContainer {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 5px 0;
}

.headingContent {
  font-weight: 400;
  font-size: 0.9em;
  color: $DarkBlue !important;
  padding: 0 20px !important;
}

.buttonId {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  /* margin-right: -8px; */
  position: relative;
  right: 34px;
  border-top: none !important;
  margin-left: 15px;
  margin-top: auto;
  margin-bottom: auto;
  cursor: pointer;
}

.group {
  display: flex;
  justify-content: flex-end;
  /* margin: 21px; */
  margin: 20px 30px;
}

.histoInput {
  background-color: $Teal;
  outline: none;
  color: white;
  border: none;
  width: 94px;
  display: flex;
  margin-right: auto;
  text-align: center;
}
.histoInputSea {
  background-color: $SkyLight;
  outline: none;
  color: $DarkBlue;
  border: none;
  width: 94px;
  display: flex;
  margin-right: auto;
  text-align: center;
}

.graphHeading {
  margin: 10px 25px 0 25px;
  display: block;
  div {
    font-weight: bold;
    color: $Teal;
  }
}
